Index: pjproject/branches/projects/vs-reorg/third_party/build/gsm/libgsmcodec.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/third_party/build/gsm/libgsmcodec.vcproj	(revision 2621)
+++ pjproject/branches/projects/vs-reorg/third_party/build/gsm/libgsmcodec.vcproj	(revision 2625)
@@ -23,11 +23,12 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="2"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
 			>
 			<Tool
@@ -48,15 +49,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="1"
-				PrecompiledHeaderFile=".\output\gsm-i386-win32-vc8-debug/libgsmcodec.pch"
-				AssemblerListingLocation=".\output\gsm-i386-win32-vc8-debug/"
-				ObjectFile=".\output\gsm-i386-win32-vc8-debug/"
-				ProgramDataBaseFileName=".\output\gsm-i386-win32-vc8-debug/"
-				WarningLevel="4"
-				SuppressStartupBanner="true"
 			/>
 			<Tool
@@ -65,6 +60,4 @@
 			<Tool
 				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1033"
 			/>
 			<Tool
@@ -73,6 +66,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\libgsmcodec-i386-win32-vc8-debug.lib"
-				SuppressStartupBanner="true"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -84,6 +77,4 @@
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile=".\output\gsm-i386-win32-vc8-debug/libgsmcodec.bsc"
 			/>
 			<Tool
@@ -96,9 +87,11 @@
 		<Configuration
 			Name="Debug|Windows Mobile 6 Standard SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -119,15 +112,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="0"
-				FavorSizeOrSpeed="0"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="_DEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;DEBUG;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="1"
-				WarningLevel="3"
-				DebugInformationFormat="3"
-				CompileAs="0"
-				CompileForArchitecture="0"
 			/>
 			<Tool
@@ -142,5 +129,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -170,9 +158,11 @@
 		<Configuration
 			Name="Debug|Windows Mobile 6 Professional SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -190,18 +180,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="0"
-				FavorSizeOrSpeed="0"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="_DEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;DEBUG;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="1"
-				DebugInformationFormat="3"
-				CompileAs="0"
-				CompileForArchitecture="0"
 			/>
 			<Tool
@@ -216,5 +200,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -244,11 +229,12 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="2"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
 			>
 			<Tool
@@ -269,18 +255,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				Optimization="3"
-				InlineFunctionExpansion="1"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
-				StringPooling="true"
-				RuntimeLibrary="2"
-				EnableFunctionLevelLinking="true"
-				PrecompiledHeaderFile=".\output\gsm-i386-win32-vc8-release/libgsmcodec.pch"
-				AssemblerListingLocation=".\output\gsm-i386-win32-vc8-release/"
-				ObjectFile=".\output\gsm-i386-win32-vc8-release/"
-				ProgramDataBaseFileName=".\output\gsm-i386-win32-vc8-release/"
-				WarningLevel="4"
-				SuppressStartupBanner="true"
 			/>
 			<Tool
@@ -289,6 +266,4 @@
 			<Tool
 				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="NDEBUG"
-				Culture="1033"
 			/>
 			<Tool
@@ -297,6 +272,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\libgsmcodec-i386-win32-vc8-release.lib"
-				SuppressStartupBanner="true"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -308,6 +283,4 @@
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile=".\output\gsm-i386-win32-vc8-release/libgsmcodec.bsc"
 			/>
 			<Tool
@@ -320,9 +293,11 @@
 		<Configuration
 			Name="Release|Windows Mobile 6 Standard SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -343,14 +318,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="2"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="NDEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="0"
-				WarningLevel="3"
-				DebugInformationFormat="0"
-				CompileAs="0"
 			/>
 			<Tool
@@ -365,5 +335,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -393,9 +364,11 @@
 		<Configuration
 			Name="Release|Windows Mobile 6 Professional SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -413,17 +386,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="2"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="NDEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="0"
-				DebugInformationFormat="0"
-				CompileAs="0"
 			/>
 			<Tool
@@ -438,5 +406,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -466,11 +435,12 @@
 		<Configuration
 			Name="Debug-Static|Win32"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="2"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-defaults.vsprops"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
 			>
 			<Tool
@@ -491,17 +461,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				Optimization="0"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="1"
-				PrecompiledHeaderFile=".\output\gsm-i386-win32-vc8-debug/libgsmcodec.pch"
-				AssemblerListingLocation=".\output\gsm-i386-win32-vc8-debug/"
-				ObjectFile=".\output\gsm-i386-win32-vc8-debug/"
-				ProgramDataBaseFileName=".\output\gsm-i386-win32-vc8-debug/"
-				WarningLevel="4"
-				SuppressStartupBanner="true"
-				DebugInformationFormat="4"
 			/>
 			<Tool
@@ -510,6 +472,4 @@
 			<Tool
 				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1033"
 			/>
 			<Tool
@@ -518,6 +478,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\libgsmcodec-i386-win32-vc8-debug.lib"
-				SuppressStartupBanner="true"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -529,6 +489,4 @@
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile=".\output\gsm-i386-win32-vc8-debug/libgsmcodec.bsc"
 			/>
 			<Tool
@@ -541,9 +499,11 @@
 		<Configuration
 			Name="Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -561,19 +521,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="0"
-				FavorSizeOrSpeed="0"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="_DEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;DEBUG;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="1"
-				WarningLevel="3"
-				DebugInformationFormat="3"
-				CompileAs="0"
-				CompileForArchitecture="0"
 			/>
 			<Tool
@@ -588,5 +541,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -616,9 +570,11 @@
 		<Configuration
 			Name="Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -636,18 +592,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="0"
-				FavorSizeOrSpeed="0"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="_DEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;DEBUG;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="1"
-				DebugInformationFormat="3"
-				CompileAs="0"
-				CompileForArchitecture="0"
 			/>
 			<Tool
@@ -662,5 +612,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -690,11 +641,12 @@
 		<Configuration
 			Name="Release-Dynamic|Win32"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="2"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
 			>
 			<Tool
@@ -715,18 +667,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				Optimization="3"
-				InlineFunctionExpansion="1"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
-				StringPooling="true"
-				RuntimeLibrary="2"
-				EnableFunctionLevelLinking="true"
-				PrecompiledHeaderFile=".\output\gsm-i386-win32-vc8-release/libgsmcodec.pch"
-				AssemblerListingLocation=".\output\gsm-i386-win32-vc8-release/"
-				ObjectFile=".\output\gsm-i386-win32-vc8-release/"
-				ProgramDataBaseFileName=".\output\gsm-i386-win32-vc8-release/"
-				WarningLevel="4"
-				SuppressStartupBanner="true"
 			/>
 			<Tool
@@ -735,6 +678,4 @@
 			<Tool
 				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="NDEBUG"
-				Culture="1033"
 			/>
 			<Tool
@@ -743,6 +684,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\libgsmcodec-i386-win32-vc8-release.lib"
-				SuppressStartupBanner="true"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -754,6 +695,4 @@
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile=".\output\gsm-i386-win32-vc8-release/libgsmcodec.bsc"
 			/>
 			<Tool
@@ -766,9 +705,11 @@
 		<Configuration
 			Name="Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -786,18 +727,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="2"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="NDEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="0"
-				WarningLevel="3"
-				DebugInformationFormat="0"
-				CompileAs="0"
 			/>
 			<Tool
@@ -812,5 +747,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -840,9 +776,11 @@
 		<Configuration
 			Name="Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -860,17 +798,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="2"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="NDEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="0"
-				DebugInformationFormat="0"
-				CompileAs="0"
 			/>
 			<Tool
@@ -885,5 +818,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -913,11 +847,12 @@
 		<Configuration
 			Name="Debug-Dynamic|Win32"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="2"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-win32-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-dynamic-defaults.vsprops"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
 			>
 			<Tool
@@ -938,17 +873,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				Optimization="0"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="3"
-				PrecompiledHeaderFile=".\output\gsm-i386-win32-vc8-debug/libgsmcodec.pch"
-				AssemblerListingLocation=".\output\gsm-i386-win32-vc8-debug/"
-				ObjectFile=".\output\gsm-i386-win32-vc8-debug/"
-				ProgramDataBaseFileName=".\output\gsm-i386-win32-vc8-debug/"
-				WarningLevel="4"
-				SuppressStartupBanner="true"
-				DebugInformationFormat="4"
 			/>
 			<Tool
@@ -957,6 +884,4 @@
 			<Tool
 				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1033"
 			/>
 			<Tool
@@ -965,6 +890,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\libgsmcodec-i386-win32-vc8-debug.lib"
-				SuppressStartupBanner="true"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -976,6 +901,4 @@
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile=".\output\gsm-i386-win32-vc8-debug/libgsmcodec.bsc"
 			/>
 			<Tool
@@ -988,9 +911,11 @@
 		<Configuration
 			Name="Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-dynamic-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -1008,19 +933,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="0"
-				FavorSizeOrSpeed="0"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="_DEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;DEBUG;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="3"
-				WarningLevel="3"
-				DebugInformationFormat="3"
-				CompileAs="0"
-				CompileForArchitecture="0"
 			/>
 			<Tool
@@ -1035,5 +953,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1063,9 +982,11 @@
 		<Configuration
 			Name="Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-debug-dynamic-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-debug-dynamic-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -1083,18 +1004,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="0"
-				FavorSizeOrSpeed="0"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="_DEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;DEBUG;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="3"
-				DebugInformationFormat="3"
-				CompileAs="0"
-				CompileForArchitecture="0"
 			/>
 			<Tool
@@ -1109,5 +1024,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1137,11 +1053,12 @@
 		<Configuration
 			Name="Release-Static|Win32"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="2"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-win32-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-release-static-defaults.vsprops"
 			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
 			>
 			<Tool
@@ -1162,18 +1079,9 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				Optimization="3"
-				InlineFunctionExpansion="1"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
-				StringPooling="true"
-				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="true"
-				PrecompiledHeaderFile=".\output\gsm-i386-win32-vc8-release/libgsmcodec.pch"
-				AssemblerListingLocation=".\output\gsm-i386-win32-vc8-release/"
-				ObjectFile=".\output\gsm-i386-win32-vc8-release/"
-				ProgramDataBaseFileName=".\output\gsm-i386-win32-vc8-release/"
-				WarningLevel="4"
-				SuppressStartupBanner="true"
 			/>
 			<Tool
@@ -1182,6 +1090,4 @@
 			<Tool
 				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="NDEBUG"
-				Culture="1033"
 			/>
 			<Tool
@@ -1190,6 +1096,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\lib\libgsmcodec-i386-win32-vc8-release.lib"
-				SuppressStartupBanner="true"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1201,6 +1107,4 @@
 			<Tool
 				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile=".\output\gsm-i386-win32-vc8-release/libgsmcodec.bsc"
 			/>
 			<Tool
@@ -1213,9 +1117,11 @@
 		<Configuration
 			Name="Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -1233,18 +1139,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="2"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="NDEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="0"
-				WarningLevel="3"
-				DebugInformationFormat="0"
-				CompileAs="0"
 			/>
 			<Tool
@@ -1259,5 +1159,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1287,9 +1188,11 @@
 		<Configuration
 			Name="Release-Static|Windows Mobile 6 Professional SDK (ARMV4I)"
-			OutputDirectory=".\output\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
-			IntermediateDirectory="$(OutDir)"
+			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-static-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
+
+			ATLMinimizesCRunTimeLibraryUsage="false"
+
+			CharacterSet="1"
+
 			ConfigurationType="4"
-			InheritedPropertySheets="..\..\..\build\vs\pjproject-vs8-release-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-common-defaults.vsprops;..\..\..\build\vs\pjproject-vs8-wm6-release-defaults.vsprops"
-			CharacterSet="1"
 			>
 			<Tool
@@ -1307,17 +1210,12 @@
 			<Tool
 				Name="VCMIDLTool"
-				TargetEnvironment="1"
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				ExecutionBucket="7"
-				Optimization="2"
-				FavorSizeOrSpeed="2"
+				PrecompiledHeaderFile=""
+
+				PreprocessorDefinitions=""
+
 				AdditionalIncludeDirectories=".,../../gsm/inc"
-				PreprocessorDefinitions="NDEBUG;_WIN32_WCE=$(CEVER);UNDER_CE;$(PLATFORMDEFINES);WINCE;$(ARCHFAM);$(_ARCHFAM_);SMARTPHONE2003_UI_MODEL;SMARTPHONE2003_UI_MODEL"
-				ExceptionHandling="0"
-				RuntimeLibrary="0"
-				DebugInformationFormat="0"
-				CompileAs="0"
 			/>
 			<Tool
@@ -1332,5 +1230,6 @@
 			<Tool
 				Name="VCLibrarianTool"
-				AdditionalOptions=""
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
